﻿;
/**
 * テキスト出力ボタン押下
 */
function print_calcResult(F) {
    var now = new Date();
    var DOC = '';

    DOC += '<html><head>';
    DOC += '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">';
    DOC += '<meta http-equiv="Content-Style-Type" content="text/css">';
    DOC += '<link href="output.css" rel="stylesheet" type="text/css">';
    DOC += '<title>' + s_print_title + '</title>';
    DOC += '</head><body>';

    //題名
    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';
    DOC += '<tr><td>' + s_print_param_01 + '</td>';
    DOC += '<td>' + now.toLocaleString() + '</td></tr>';
    DOC += '<tr><td>' + s_print_param_02 + '</td>';
    DOC += '<td>' + app_name + '&nbsp;&lt;' + base_model_name + '&gt;' + '</td></tr>'; // 2028_57908 H.Sasaki
    DOC += '<tr><td>' + s_print_param_03 + '</td>';
    DOC += '<td>' + app_ver + '</td></tr>';
    DOC += '</table>';

    DOC += '<br />';

    //カメラ1～MaxCamNum
    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';

    var recmode = Number(form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].value);
    var recmodeStr = form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].text;

    DOC += '<tr><td colspan="4" style="border-right-style:none;">';
    if (0 == getRadioValue(form1.rb_advanced)) {
        DOC += txt_s_easystart.innerText + '</td>';
    } else {
        DOC += txt_s_advanced.innerText + '</td>';
    }

    var sCol = (bDspBrCtl == true ? "6" : "5");
    DOC += '<td colspan="' + sCol + '" align="right" style="border-left-style:none;">' + txt_s_recmode.innerText + ':';
    DOC += recmodeStr + '</td></tr>';

    DOC += '<tr><td>&nbsp;</td>';
    DOC += '<td>' + form1.cam0model.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0comp.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0size.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0rate.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0quality.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0audio.options[0].text + '</td>';
    DOC += '<td>' + form1.cam0rec.options[0].text + '</td>';
    DOC += '<td>' + s_cam0face + '</td>';
    if (bDspBrCtl == true) DOC += '<td>' + s_cam_bitrate_kbps + '</td>';
    DOC += '</tr>';

    var camModel = new Array();        //カメラ品番
    var camMode = new Array();         //カメラ区分
    var camComp = new Array();         //圧縮方式
    var t_camSize = new Array();       //解像度 text
    var t_camRate = new Array();       //レート text
    var t_camQuality = new Array();    //画質   text
    var t_camAudio = new Array();      //録音   text
    var t_camRec = new Array();        //録画   text

    for (var i = 1; i <= MaxCamNum; i++) {
        var f_camModel = F['cam' + i + 'model'];
        var f_camComp = F['cam' + i + 'comp'];
        var f_camSize = F['cam' + i + 'size'];
        var f_camRate = F['cam' + i + 'rate'];
        var f_camQuality = F['cam' + i + 'quality'];
        var f_camAudio = F['cam' + i + 'audio'];
        var f_camRec = F['cam' + i + 'rec'];

        camModel[i] = f_camModel[f_camModel.selectedIndex].text;
        camMode[i] = f_camModel[f_camModel.selectedIndex].value;
        camComp[i] = f_camComp[f_camComp.selectedIndex].text;
        t_camSize[i] = f_camSize[f_camSize.selectedIndex].text;
        t_camRate[i] = f_camRate[f_camRate.selectedIndex].text;
        t_camQuality[i] = f_camQuality[f_camQuality.selectedIndex].text;
        t_camAudio[i] = f_camAudio[f_camAudio.selectedIndex].text;
        t_camRec[i] = f_camRec[f_camRec.selectedIndex].text;

        DOC += '<tr><td>' + i + '</td>';
        DOC += '<td>' + camModel[i] + '</td>';
        DOC += '<td>' + camComp[i] + '</td>';
        DOC += '<td>' + t_camSize[i] + '</td>';
        DOC += '<td>' + t_camRate[i] + '</td>';
        DOC += '<td>' + t_camQuality[i] + '</td>';
        DOC += '<td>' + t_camAudio[i] + '</td>';
        DOC += '<td>' + t_camRec[i] + '</td>';
        if (i == 1 && form1.cam1face.checked == true) {
            DOC += '<td>' + p_on + '</td>';
        } else if (i == 1 && form1.cam1face.checked == false) {
            DOC += '<td>' + p_off + '</td>';
        } else {
            DOC += '<td>--</td>';
        }

        if (bDspBrCtl == true) DOC += '<td>' + (Math.round(camBpr[i] * 100)) / 100 + '</td>';
        DOC += '</tr>';
    }
    DOC += '</table>';

    DOC += '<br />';

    //月～日のラジオボタン
    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';
    DOC += '<tr><td colspan="2">' + txt_sWeekRecCap.innerText + '</td></tr>';

    // *** Monday ***
    DOC += '<tr><td>' + txt_sDayOfWeek1.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_mon)) {
        DOC += '<td>' + txt_sTimeTableSel0.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_mon)) {
        DOC += '<td>' + txt_sTimeTableSel1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_mon)) {
        DOC += '<td>' + txt_sTimeTableSel2.innerText + '</td></tr>';
    }

    // *** Tuesday ***
    DOC += '<tr><td>' + txt_sDayOfWeek2.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_tue)) {
        DOC += '<td>' + txt_sTimeTableSel0.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_tue)) {
        DOC += '<td>' + txt_sTimeTableSel1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_tue)) {
        DOC += '<td>' + txt_sTimeTableSel2.innerText + '</td></tr>';
    }

    // *** Wednesday ***
    DOC += '<tr><td>' + txt_sDayOfWeek3.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_wed)) {
        DOC += '<td>' + txt_sTimeTableSel0.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_wed)) {
        DOC += '<td>' + txt_sTimeTableSel1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_wed)) {
        DOC += '<td>' + txt_sTimeTableSel2.innerText + '</td></tr>';
    }

   // *** Thursday ***
    DOC += '<tr><td>' + txt_sDayOfWeek4.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_thu)) {
        DOC += '<td>' + txt_sTimeTableSel0.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_thu)) {
        DOC += '<td>' + txt_sTimeTableSel1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_thu)) {
        DOC += '<td>' + txt_sTimeTableSel2.innerText + '</td></tr>';
    }

    // *** Friday ***
    DOC += '<tr><td>' + txt_sDayOfWeek5.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_fri)) {
        DOC += '<td>' + txt_sTimeTableSel0.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_fri)) {
        DOC += '<td>' + txt_sTimeTableSel1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_fri)) {
        DOC += '<td>' + txt_sTimeTableSel2.innerText + '</td></tr>';
    }

    // *** Saturday ***
    DOC += '<tr><td>' + txt_sDayOfWeek6.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_sat)) {
        DOC += '<td>' + txt_sTimeTableSel0.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_sat)) {
        DOC += '<td>' + txt_sTimeTableSel1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_sat)) {
        DOC += '<td>' + txt_sTimeTableSel2.innerText + '</td></tr>';
    }

    // *** Sunday ***
    DOC += '<tr><td>' + txt_sDayOfWeek7.innerText + '</td>';
    if (2 == getRadioValue(form1.rb_sun)) {
        DOC += '<td>' + txt_sTimeTableSel0.innerText + '</td></tr>';
    } else if (0 == getRadioValue(form1.rb_sun)) {
        DOC += '<td>' + txt_sTimeTableSel1.innerText + '</td></tr>';
    } else if (1 == getRadioValue(form1.rb_sun)) {
        DOC += '<td>' + txt_sTimeTableSel2.innerText + '</td></tr>';
    }
    DOC += '</table>';
    DOC += '<br />';

    //タイムテーブルの時間帯
    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';
    DOC += '<tr><td colspan="3">' + txt_sTimeTableCap.innerText + '</td></tr>';

    var time = new Array(6);      //タイムテーブル1-1～2-3
    var x = 1;
    for (var i = 1; i <= 2; i++) {
        for (var j = 1; j <= 3; j++) {
            var begin_h = F['tbl' + i + 'begin_h' + j];
            var begin_m = F['tbl' + i + 'begin_m' + j];
            var end_h = F['tbl' + i + 'end_h' + j];
            var end_m = F['tbl' + i + 'end_m' + j];
            time[x] = begin_h[begin_h.selectedIndex].text + ':' +
                begin_m[begin_m.selectedIndex].text + '-' +
                end_h[end_h.selectedIndex].text + ':' +
                end_m[end_m.selectedIndex].text;
            x++;
        }
    }
    for (var x = 1; x <= 6; x++) {
        if (1 <= x && x <= 3) { // タイムテーブル1:1-3
            DOC += '<tr><td>' + txt_sTimeTableSel1.innerText + '</td>';
            DOC += '<td>' + x + '</td>';
        } else { // タイムテーブル2:1-3
            DOC += '<tr><td>' + txt_sTimeTableSel2.innerText + '</td>';
            DOC += '<td>' + (x - 3) + '</td>';
        }
        DOC += '<td>' + time[x] + '</td></tr>';
    }
    DOC += '</table>';
    DOC += '<br />';

    // 結果
    DOC += '<table border="1" cellpadding="2" cellspacing="2" >';
    if (app_dst == 'ja') {
        DOC += '<tr><td colspan="3">' + txt_s_output_title0.innerText +
            '</td></tr>';
    } else {
        DOC += '<tr><td colspan="2">' + txt_s_output_title0.innerText +
            '</td></tr>';
    }

    // ヘッダ行(モデル/容量/日数)
    DOC += '<tr>';
    if (app_dst == 'ja') {
        DOC += '<td>' + txt_s_output_label_h0.innerText + '</td>';
    }
    DOC += '<td>' + txt_s_output_label_h1.innerText + '</td>';
    DOC += '<td>' + txt_s_output_label_h2.innerText + '</td></tr>';

    // 500GB (500GB * 1)
    if (app_dst == 'ja') { // DG-NV200/1L
        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_m01.innerText + '</td>';
        DOC += '<td>' + txt_s_output_label_5Gx1.innerText + '</td>';
        DOC += '<td>' + form1.u_result_5Gx1.value + '<label>' +
            txt_s_result_day_5Gx1.innerText + '</label></td></tr>';
    }

    // 1TB (1TB * 1)
    DOC += '<tr>';
    if (app_dst == 'ja') { // DG-NV200V1M
        DOC += '<td>' + txt_s_output_label_m02.innerText + '</td>';
    }
    DOC += '<td>' + txt_s_output_label_1Tx1.innerText + '</td>';
    DOC += '<td>' + form1.u_result_1Tx1.value + '<label>' +
            txt_s_result_day_1Tx1.innerText + '</label></td></tr>';

    // 2TB (1TB * 2)
    DOC += '<tr>';
    if (app_dst == 'ja') { // DG-NV200/2M
        DOC += '<td>' + txt_s_output_label_m03.innerText + '</td>';
    }
    DOC += '<td>' + txt_s_output_label_1Tx2.innerText + '</td>';
    DOC += '<td>' + form1.u_result_1Tx2.value + '<label>' +
            txt_s_result_day_1Tx2.innerText + '</label></td></tr>';

    // 2TB (2TB * 1)
    if (app_dst == 'ja') { // DG-NV200V1N
        DOC += '<tr>';
        DOC += '<td>' + txt_s_output_label_m08.innerText + '</td>';
        DOC += '<td>' + txt_s_output_label_2Tx1.innerText + '</td>';
        DOC += '<td>' + form1.u_result_2Tx1.value + '<label>' +
            txt_s_result_day_2Tx1.innerText + '</label></td></tr>';
    }

    if (app_dst != 'ja') {
        // 3TB (3TB * 1)
        DOC += '<tr><td>' + txt_s_output_label_3Tx1.innerText + '</td>';
        DOC += '<td>' + form1.u_result_3Tx1.value + '<label>' +
            txt_s_result_day_3Tx1.innerText + '</label></td></tr>';
    }

    // 4TB (2TB * 2)
    DOC += '<tr>';
    if (app_dst == 'ja') { // DG-NV200/2N
        DOC += '<td>' + txt_s_output_label_m07.innerText + '</td>';
    }
    DOC += '<td>' + txt_s_output_label_2Tx2.innerText + '</td>';
    DOC += '<td>' + form1.u_result_2Tx2.value + '<label>' +
        txt_s_result_day_2Tx2.innerText + '</label></td></tr>';

    // 5TB (5TB * 1)
    if (app_dst != 'ja') {
        DOC += '<tr><td>' + txt_s_output_label_5Tx1.innerText + '</td>';
        DOC += '<td>' + form1.u_result_5Tx1.value + '<label>' +
            txt_s_result_day_5Tx1.innerText + '</label></td></tr>';
    }

    // 6TB (3TB * 2)
    DOC += '<tr>';
    if (app_dst == 'ja') { // DG-NV200/2Q
        DOC += '<td>' + txt_s_output_label_m06.innerText + '</td>';
    }
    DOC += '<td>' + txt_s_output_label_3Tx2.innerText + '</td>';
    DOC += '<td>' + form1.u_result_3Tx2.value + '<label>' +
       txt_s_result_day_3Tx2.innerText + '</label></td></tr>';

    // 8TB (4TB * 2)
    if (app_dst != 'ja') {
        DOC += '<tr><td>' + txt_s_output_label_4Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_4Tx2.value + '<label>' +
            txt_s_result_day_4Tx2.innerText + '</label></td></tr>';
    }

    // 10TB (5TB * 2)
    if (app_dst != 'ja') {
        DOC += '<tr><td>' + txt_s_output_label_5Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_5Tx2.value + '<label>' +
            txt_s_result_day_5Tx2.innerText + '</label></td></tr>';
    }

    // 12TB (6TB * 2)
    if (app_dst != 'ja') {
        DOC += '<tr><td>' + txt_s_output_label_6Tx2.innerText + '</td>';
        DOC += '<td>' + form1.u_result_6Tx2.value + '<label>' +
            txt_s_result_day_6Tx2.innerText + '</label></td></tr>';
    }

    DOC += '</table>';

    //newWin = window.open('', 'new1',
    //        'toolbar=0,location=0,directories=0,status=0,menubar=1,' +
    //        'scrollbars=1,resizable=1,left=100,top=50,width=860,height=600');
    newWin = window.open('', 'new1');
    newWin.document.open();
    newWin.document.write(DOC);
    newWin.document.close();
}

/**
 * カメラ品番コンボボックスにパラメータを格納
 */
function createCamModelSelection(obj) {
    var v_camModel = new Array();
    var t_camModel = new Array();

    if (obj == form1.cam0model) {
        for (var i = 0; i < List_CameraModel.length; i++) {
            v_camModel[i] = List_CameraModel[i][1];
            t_camModel[i] = List_CameraModel[i][0];
        }
    } else {
        for (var i = 0; i < List_CameraModel.length - 1; i++) {
            v_camModel[i] = List_CameraModel[i + 1][1];
            t_camModel[i] = List_CameraModel[i + 1][0];
        }
    }
    createSelection(obj, v_camModel, t_camModel);
}


/**
 * 圧縮方式コンボボックスにパラメータを格納
 *
 * func(圧縮方式のComboBoxオブジェクト,カメラ区分)
 */
function createCompressionSelection(obj, mode) {
    var v_camComp = new Array();
    var t_camComp = new Array();

    for (var idx = 0; idx < List_Compression[mode].length; idx++) {
        v_camComp[idx] = idx;
        t_camComp[idx] = List_Compression[mode][idx];
    }

    createSelection(obj, v_camComp, t_camComp);
}


/**
 * 解像度コンボボックスにパラメータを格納
 *
 * func(解像度のComboBoxオブジェクト,カメラ区分,圧縮方式)
 */
function createCaptureSizeSelection(obj, mode, comp) {
    var v_camSize = new Array();
    var t_camSize = new Array();

    // 対応するモードの解像度を列挙する
    for (var idx1 = 0; idx1 < List_ImageCaptureSize[mode][comp].length;
            idx1++) {
        // 解像度に付与する番号は、各圧縮方式で取りうるすべての解像度の
        // 連番にする必要がある
        // 解像度リスト配列の先頭にその値が入っているので、
        // その値と比較して一致したときの番号を設定する
        for (var idx2 = 0; idx2 < List_ImageCaptureSize[0][comp].length;
                idx2++) {
            if (List_ImageCaptureSize[mode][comp][idx1] ==
                    List_ImageCaptureSize[0][comp][idx2]) {
                if (0 == mode) {
                    // 先頭と先頭を比較した時はそのまま番号を付与する
                    v_camSize[idx1] = idx2;
                } else {
                    // それ以外の時は、解像度という文字列が頭にあるので
                    // それを除去した番号にする
                    v_camSize[idx1] = idx2 - 1;
                }
                t_camSize[idx1] = List_ImageCaptureSize[mode][comp][idx1];
                continue;
            }
        }
    }

    createSelection(obj, v_camSize, t_camSize);
}


/**
 * レートのコンボボックスにパラメータを格納
 *
 * func(レートのComboBoxオブジェクト,カメラ区分,圧縮方式)
 */
function createRateSelection(obj, mode, comp) {
    var v_camRate = new Array();
    var t_camRate = new Array();
    var idx_end = 1;

    /* H.264 */
    /* MPEG4 */
    if (comp == p_H264 || comp == p_MPEG4) {
        idx_end = List_Rate[mode].length;
    }
    /* MJPEG */
    else if (comp == p_MJPEG) {
        idx_end = List_Rate[mode].length - 3;
    }

    for (var idx = 0; idx < idx_end; idx++) {
        v_camRate[idx] = idx;
        t_camRate[idx] = List_Rate[mode][idx];
    }
    createSelection(obj, v_camRate, t_camRate);
}


/**
 * 画質コンボボックスにパラメータを格納
 *
 * func(画質のComboBoxオブジェクト,カメラ区分)
 * 2011.09.01 XFモード追加
 */
function createQualitySelection(obj, mode, comp) {
    var v_camQuality = new Array();
    var t_camQuality = new Array();

    for (var idx = 0; idx < List_Quality[mode].length; idx++) {
        // H.264の時のみXFモードを表示する
        if (comp != p_H264 && p_XF == List_Quality[mode][idx]) {
        } else {
            v_camQuality[idx] = List_Quality[mode].length - 1 - idx;
            t_camQuality[idx] = List_Quality[mode][idx];
        }
    }
    createSelection(obj, v_camQuality, t_camQuality);
}


/**
 * 録音コンボボックスにパラメータを格納
 *
 * func(録音のComboBoxオブジェクト,カメラ区分)
 */
function createAudioSelection(obj, mode) {
    var v_camAudio = new Array();
    var t_camAudio = new Array();

    for (var idx = 0; idx < List_Audio[mode].length; idx++) {
        v_camAudio[idx] = idx;
        t_camAudio[idx] = List_Audio[mode][idx];
    }
    createSelection(obj, v_camAudio, t_camAudio);
}

/**
 * 録画コンボボックスにパラメータを格納
 *
 * func(録画のComboBoxオブジェクト,カメラ区分)
 */
function createRecSelection(obj, mode) {
    var v_camRec = new Array();
    var t_camRec = new Array();
    var modeidx;

    switch (Number(mode)) {
        case 0:
            modeidx = 0;
            break;
        case Blank: // 2028_61295
            modeidx = 1;
            break;
        default:
            modeidx = 2;
            break;
    }

    for (var idx = 0; idx < List_Rec[modeidx].length; idx++) {
        v_camRec[idx] = idx;
        t_camRec[idx] = List_Rec[modeidx][idx];
    }
    createSelection(obj, v_camRec, t_camRec);
}

/**
 * コンボボックスの選択値を設定する
 *
 * func(ComboBoxオブジェクト,選択文字列)
 */
function setSelectionSelected(obj, text) {
    for (var i = 0; i < obj.options.length; i++) {
        if (text == obj.options[i].text) {
            obj.options[i].selected = 'selected';
            break;
        }
    }
}


/**
 * 対象のコンボボックスに連番数値を格納
 */
function createNumSelection(obj, num) {
    var v_Nums = new Array();
    var t_Nums = new Array();

    for (var idx = 0; idx <= num; idx++) {
        v_Nums[idx] = idx;
        t_Nums[idx] = String(v_Nums[idx]);
    }
    createSelection(obj, v_Nums, t_Nums);
}


/**
 * 対象のコンボボックスに時刻(分)配列を格納
 */
function createMinSelection(obj, mode) {
    var v_Nums = new Array();
    var t_Nums = new Array();

    if (mode == 0) {
        for (var idx = 0; idx < List_Minute.length; idx++) {
            v_Nums[idx] = List_Minute[idx][0];
            t_Nums[idx] = List_Minute[idx][1];
        }
    } else {
        v_Nums[0] = List_Minute[0][0];
        t_Nums[0] = List_Minute[0][1];
    }
    createSelection(obj, v_Nums, t_Nums);
}

/**
 * カメラ品番のコンボボックスを変更
 *
 * func(カメラ品番のComboBoxオブジェクト)
 */
function change_CamModel(obj, F) {
    // 設定モード(らくらく or 詳細)
    var easymode = getRadioValue(form1.rb_advanced);

    var camno = obj.name;                            //カメラNo
    var camModel = obj[obj.selectedIndex].text;      //カメラ品番
    var camMode = obj[obj.selectedIndex].value;      //カメラ区分

    var cammodel = 'cam' + camno + 'model';
    var camcomp = 'cam' + camno + 'comp';
    var camsize = 'cam' + camno + 'size';
    var camrate = 'cam' + camno + 'rate';
    var camquality = 'cam' + camno + 'quality';
    var camaudio = 'cam' + camno + 'audio';
    var camrec = 'cam' + camno + 'rec';
    var camface = 'cam' + camno + 'face';

    // 変更前圧縮方式
    var change_camComp = document.getElementById(camcomp);
    var change_camCompValue =
        change_camComp[change_camComp.selectedIndex].text;
    // 変更前解像度
    var change_camSize = document.getElementById(camsize);
    var change_camSizeValue =
        change_camSize[change_camSize.selectedIndex].text;
    // 変更前レート
    var change_camRate = document.getElementById(camrate);
    var change_camRateValue =
        change_camRate[change_camRate.selectedIndex].text;
    // 変更前画質
    var change_camQuality = document.getElementById(camquality);
    var change_camQualityValue =
        change_camQuality[change_camQuality.selectedIndex].text;
    // 変更前録音
    var change_camAudio = document.getElementById(camaudio);
    var change_camAudioValue =
        change_camAudio[change_camAudio.selectedIndex].text;
    // 変更前録画
    var change_camRec = document.getElementById(camrec);
    var change_camRecValue =
        change_camRec[change_camRec.selectedIndex].text;

    // カメラ選択チェックボックスの状態を変える
    if (camModel == p_blank) {
        // 選択されたものが、「--」の場合
        $('#cam' + camno + 'onoff').attr('checked', '');
        $('#cam' + camno + 'onoff').attr('disabled', 'disabled');
    } else {
        // 通常の品番の場合
        $('#cam' + camno + 'onoff').attr('checked', 'checked');
        $('#cam' + camno + 'onoff').attr('disabled', '');
    }

    // カメラ区分の変更に伴って圧縮方式も変更。
    createCompressionSelection(change_camComp, camMode);
    // 圧縮方式の初期値を変更
    Initialize_data(change_camComp, camMode, 1);
    if (p_advanced == easymode) {
        // 詳細のみで、前に選択していた値に戻す
        // 圧縮方式
        setSelectionSelected(change_camComp, change_camCompValue);
    }

    // 解像度のリストを作成し、初期値を変更
    createCaptureSizeSelection(change_camSize, camMode,
            change_camComp[change_camComp.selectedIndex].text);
    Initialize_data(change_camSize, camMode, 2);
    if (p_advanced == easymode) {
        // 詳細のみで、前に選択していた値に戻す
        // 解像度
        setSelectionSelected(change_camSize, change_camSizeValue);
    }

    // 録画レートのリストを作成し、初期値を変更
    createRateSelection(change_camRate, camMode,
            change_camComp[change_camComp.selectedIndex].text);
    Initialize_data(change_camRate, camMode, 3);
    // らくらく・詳細共通で、前に選択していた値に戻す
    // レート
    setSelectionSelected(change_camRate, change_camRateValue);

    // 画質のリストを作成し、初期値を変更
    createQualitySelection(change_camQuality, camMode,
            change_camComp[change_camComp.selectedIndex].text);
    Initialize_data(change_camQuality, camMode, 4);
    // らくらく・詳細共通で、前に選択していた値に戻す
    // 画質
    setSelectionSelected(change_camQuality, change_camQualityValue);

    // 録音のリストを作成し、初期値を変更
    createAudioSelection(change_camAudio, camMode);
    Initialize_data(change_camAudio, camMode, 5);
    if (p_advanced == easymode) {
        // 詳細のみで、前に選択していた値に戻す
        // 録音
        setSelectionSelected(change_camAudio, change_camAudioValue);
    }

    // 録画のリストを作成し、初期値を変更
    createRecSelection(change_camRec, camMode);
    Initialize_data(change_camRec, camMode, 6);
    // らくらく・詳細共通で、前に選択していた値に戻す
    // 録画
    setSelectionSelected(change_camRec, change_camRecValue);

    // 顔照合の活性状態を変更
    if (camno == 1) {
        Initialize_data(form1.cam1face, camMode, 7);
    }

    // 条件が変わったので、再計算実行
    allCalculate(F);
}


/**
 * 圧縮方式コンボボックスを変更
 *
 * func(圧縮方式のComboBoxオブジェクト)
 * 2011.09.01 XFモード追加
 */
function change_Compression(obj, F) {

    // 圧縮方式コンボボックスを変更
    change_CompressionSub(obj);

    // 条件が変わったので、再計算実行
    allCalculate(F);//計算する関数をコール
}

/**
 * 圧縮方式コンボボックスを変更(補助関数)
 */
function change_CompressionSub(obj)
{
    // 設定モード(らくらく or 詳細)
    var easymode = getRadioValue(form1.rb_advanced);

    var camno = obj.name;                            //カメラNo
    var compSelected = obj[obj.selectedIndex].text;  //--, H264, MPEG4, MJPEG

    var cammodel = 'cam' + camno + 'model';
    var camsize = 'cam' + camno + 'size';
    var camrate = 'cam' + camno + 'rate';
    var camquality = 'cam' + camno + 'quality';

    var modelSelected = document.getElementById(cammodel);
    // カメラ品番
    var camModel = modelSelected[modelSelected.selectedIndex].text;
    // カメラ区分
    var camMode = modelSelected[modelSelected.selectedIndex].value;

    // 変更前解像度
    var change_camSize = document.getElementById(camsize);
    var change_camSizeValue =
        change_camSize[change_camSize.selectedIndex].text;
    // 変更前レート
    var change_camRate = document.getElementById(camrate);
    var change_camRateValue =
        change_camRate[change_camRate.selectedIndex].text;
    // 変更前画質
    var change_camQuality = document.getElementById(camquality);
    var change_camQualityValue =
        change_camQuality[change_camQuality.selectedIndex].text;

    // 圧縮方式の変更に伴って解像度も変更
    createCaptureSizeSelection(change_camSize, camMode, compSelected);
    Initialize_data(change_camSize, camMode, 2);
    if (p_advanced == easymode) {
        // 詳細のみで、前に選択していた値に戻す
        // 解像度
        setSelectionSelected(change_camSize, change_camSizeValue);
    }

    // 圧縮方式の変更に伴ってレートも変更
    createRateSelection(change_camRate, camMode, compSelected);
    Initialize_data(change_camRate, camMode, 3);
    // らくらく・詳細共通で、前に選択していた値に戻す
    // レート
    setSelectionSelected(change_camRate, change_camRateValue);

    // 圧縮方式の変更に伴って画質も変更
    createQualitySelection(change_camQuality, camMode, compSelected);
    Initialize_data(change_camQuality, camMode, 4);
    // らくらく・詳細共通で、前に選択していた値に戻す
    // 画質
    setSelectionSelected(change_camQuality, change_camQualityValue);
}

/**
 * 解像度コンボボックスを変更
 */
function change_ImageCaptureSize(F) {
    // 条件が変わったので、再計算実行
    allCalculate(F);
}


/**
 * 録画レートコンボボックスを変更
 */
function change_Rate(F) {
    // 条件が変わったので、再計算実行
    allCalculate(F);
}


/**
 * 画質コンボボックスを変更
 */
function change_Quality(F) {
    // 条件が変わったので、再計算実行
    allCalculate(F);
}


/**
 * 録音コンボボックスを変更
 */
function change_Audio(F) {
    // 条件が変わったので、再計算実行
    allCalculate(F);
}

/**
 * 録画(スケジュール)コンボボックスを変更
 */
function change_Rec(F) {
    // 条件が変わったので、再計算実行
    allCalculate(F);
}


/**
 * 録画する曜日のラジオボタンの状態を変更
 */
function change_weekMode(F) {
    // 条件が変わったので、再計算実行
    allCalculate(F);
}

/**
 * シングル/デュアル録画のプルダウン選択状態を変更
 */
function change_recMode(F) {
    // 条件が変わったので、再計算実行
    allCalculate(F);
}


/**
 * タイムテーブルの状態を変更
 */
function change_timeTable(obj, F) {
    var timetable = new Array();
    var s_time = new Array();
    var e_time = new Array();

    var st_h, et_m, st_h, et_m;
    var n_st_h = 0;

    for (var i = 1; i <= 2; i++) {
        for (var j = 1; j <= 3; j++) {
            st_h = F['tbl' + i + 'begin_h' + j].value;
            st_m = F['tbl' + i + 'begin_m' + j].value;
            et_h = F['tbl' + i + 'end_h' + j].value;

            // 終了時刻(時)が24の場合、終了時刻(分)は00のみ選択可。15,30,45は選択不可。
            if (et_h == '24') {
                F['tbl' + i + 'end_m' + j].selectedIndex = 0;
            }

            et_m = F['tbl' + i + 'end_m' + j].value;

            s_time[j] = Number(st_h) + Number(st_m);
            e_time[j] = Number(et_h) + Number(et_m);
        }

        // 日またぎ禁止 開始時刻＞終了時刻なら、終了時刻(時)=開始時刻(時)＋１
        for (var j = 1; j <= 3; j++) {
            if (s_time[j] > e_time[j]) {
                n_st_h = Number(F['tbl' + i + 'begin_h' + j].value);
                F['tbl' + i + 'end_h' + j].selectedIndex = n_st_h + 1;
                e_time[j] = s_time[j] + 1;
            }
        }

        // 時刻重複禁止
        for (var j = 1; j <= 3; j++) {
            for (var h = 1; h <= 3; h++) {
                if (j < h) {
                    if (s_time[j] < e_time[h] && s_time[h] < e_time[j]) {
                        //2010.11.10 add by Kodama 指摘68
                        alert(alert_overlap);
                        // Add end

                        F['tbl' + i + 'begin_h' + h].selectedIndex = 0;
                        F['tbl' + i + 'begin_m' + h].selectedIndex = 0;
                        F['tbl' + i + 'end_h' + h].selectedIndex = 0;
                        F['tbl' + i + 'end_m' + h].selectedIndex = 0;
                        break;
                    }
                }
            }
        }
    }

    // 条件が変わったので、再計算実行
    allCalculate(F);
}


/**
 * 同列値の一括変更 カメラ品番
 */
function change_allCamModel(obj, F) {
    // 設定モード(らくらく or 詳細)
    var easymode = getRadioValue(form1.rb_advanced);

    // 変更後のカメラ品番を取得
    var init = obj[obj.selectedIndex].text;
    // 変更後のカメラ区分を取得
    var camMode = obj[obj.selectedIndex].value;

    for (var i = 1; i <= MaxCamNum; i++) {
        // 変更前品番
        var change_Model = F['cam' + i + 'model'];

        // 変更前圧縮方式
        var change_camComp = F['cam' + i + 'comp'];
        var change_camCompValue =
            change_camComp[change_camComp.selectedIndex].text;
        // 変更前解像度
        var change_camSize = F['cam' + i + 'size'];
        var change_camSizeValue =
            change_camSize[change_camSize.selectedIndex].text;
        // 変更前レート
        var change_camRate = F['cam' + i + 'rate'];
        var change_camRateValue =
            change_camRate[change_camRate.selectedIndex].text;
        // 変更前画質
        var change_camQuality = F['cam' + i + 'quality'];
        var change_camQualityValue =
            change_camQuality[change_camQuality.selectedIndex].text;
        // 変更前録音
        var change_camAudio = F['cam' + i + 'audio'];
        var change_camAudioValue =
            change_camAudio[change_camAudio.selectedIndex].text;
        // 変更前録画
        var change_camRec = F['cam' + i + 'rec'];
        var change_camRecValue =
            change_camRec[change_camRec.selectedIndex].text;

        // 品番を一括選択で選んだものと同じにする
        for (var j = 0; j < change_Model.options.length; j++) {
            if (init == change_Model.options[j].text) {
                change_Model.options[j].selected = 'selected';
                break;
            }
        }

        // カメラ選択チェックボックスの状態を変える
        if (change_Model.value < 2) {
            // 選択されたものが、「品番」「--」の場合
            $('#cam' + i + 'onoff').attr('checked', '');
            $('#cam' + i + 'onoff').attr('disabled', 'disabled');
        } else {
            // 通常の品番の場合
            $('#cam' + i + 'onoff').attr('checked', 'checked');
            $('#cam' + i + 'onoff').attr('disabled', '');
        }

        //カメラ区分の変更に伴って圧縮方式一覧を作成
        createCompressionSelection(change_camComp, camMode);
        Initialize_data(change_camComp, camMode, 1);
        if (p_advanced == easymode) {
            // 詳細のみで、前に選択していた値に戻す
            // 圧縮方式
            setSelectionSelected(change_camComp, change_camCompValue);
        }

        //カメラ区分の変更に伴って解像度一覧を作成
        var compSelected =
            change_camComp[change_camComp.selectedIndex].text;
        createCaptureSizeSelection(change_camSize, camMode, compSelected);
        Initialize_data(change_camSize, camMode, 2);
        if (p_advanced == easymode) {
            // 詳細のみで、前に選択していた値に戻す
            // 解像度
            setSelectionSelected(change_camSize, change_camSizeValue);
        }

        // カメラ区分の変更に伴ってレート一覧を作成
        createRateSelection(change_camRate, camMode, compSelected);
        Initialize_data(change_camRate, camMode, 3);
        // らくらく・詳細共通で、前に選択していた値に戻す
        // レート
        setSelectionSelected(change_camRate, change_camRateValue);

        // カメラ区分の変更に伴って画質一覧を作成
        createQualitySelection(change_camQuality, camMode, compSelected);
        Initialize_data(change_camQuality, camMode, 4);
        // らくらく・詳細共通で、前に選択していた値に戻す
        // 画質
        setSelectionSelected(change_camQuality, change_camQualityValue);

        // カメラ区分の変更に伴って録音一覧を作成
        createAudioSelection(change_camAudio, camMode);
        Initialize_data(change_camAudio, camMode, 5);

        if (p_advanced == easymode) {
            // 詳細のみで、前に選択していた値に戻す
            // 録音
            setSelectionSelected(change_camAudio, change_camAudioValue);
        }

        // カメラ区分の変更に伴って画質一覧を作成
        createRecSelection(change_camRec, camMode);
        Initialize_data(change_camRec, camMode, 6);
        // らくらく・詳細共通で、前に選択していた値に戻す
        // 録画
        setSelectionSelected(change_camRec, change_camRecValue);

        // カメラ1の場合のみ、顔照合の状態を設定する
        if (i == 1) {
            Initialize_data(form1.cam1face, camMode, 7);
        }
    }

    // 一括変更コンボボックスのselect = "品番"に戻す。
    obj.options[0].selected = 'selected';

    // 状態を変更したので再計算実行
    allCalculate(F);
}


/**
 * 同列値の一括変更 圧縮方式
 */
function change_allCompression(obj, F) {
    var init = obj[obj.selectedIndex].text;             //変更後の圧縮方式を取得

    for (var i = 1; i <= MaxCamNum; i++) {
        // カメラ品番
        var modelSelected = F['cam' + i + 'model'];
       // カメラ区分
        var camMode = modelSelected[modelSelected.selectedIndex].value;
        // 圧縮方式
        var change_obj = F['cam' + i + 'comp'];
        // 解像度
        var change_camSize = F['cam' + i + 'size'];
        // レート
        var change_camRate = F['cam' + i + 'rate'];

        // 2010.11.8 add by K.Ozawa
        // 変更前の圧縮方式を取得
        var init_before = change_obj.value;

        //カメラ区分の変更に伴って圧縮方式コンボボックスに表示するパラメーターを変更
        createCompressionSelection(change_obj, camMode);


        // 2010.11.8 add by K.Ozawa
        // 顔照合Onカメラのみ変更不可とする
        if (1 == i && true == form1.cam1face.checked) {
            continue;
        }

        // 2010.11.8 add by K.Ozawa
        // 値を変更したかどうかを保持するフラグ
        var change_flag = false;

        for (var j = 0; j < change_obj.options.length; j++) {
            //顔照合Onの場合、固定値なので変更しない
            // 顔照合カメラは判定文を別に設けここからは削除
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                change_flag = true;
                break;
            }
        }

        // 2010.11.8 add by K.Ozawa
        // 顔照合がOffなのに値を変更しなかった時は、元の値に戻す
        // createCompressionSelection()でリストを作り直しており、
        // 選択状態がクリアされてしまっている為
        if (false == change_flag) {
            change_obj.value = init_before;
        }

        // ←この関数の中で解像度、レートも同時変更
        change_CompressionSub(change_obj);
    }

    // 一括変更コンボボックスのselect = "圧縮方式"に戻す。
    obj.options[0].selected = 'selected';
    // 計算する関数をコール
    allCalculate(F);
}


/**
 * 同列値の一括変更 解像度
 */
function change_allImageCaptureSize(obj, F) {
    // 変更後の値を取得
    var init = obj[obj.selectedIndex].text;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_obj = F['cam' + i + 'size'];

        // 2010.11.8 add by K.Ozawa
        // 顔照合Onカメラのみ変更不可とする
        if (1 == i && true == form1.cam1face.checked) {
            continue;
        }

        for (var j = 0; j < change_obj.options.length; j++) {
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                break;
            }
        }
    }
    // 一括変更コンボボックスのselect = "解像度"に戻す。
    obj.options[0].selected = 'selected';
    // 計算する関数をコール
    allCalculate(F);
}


/**
 * 同列値の一括変更 レート
 */
function change_allRate(obj, F) {
    //変更後の値を取得
    var init = obj[obj.selectedIndex].text;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_obj = F['cam' + i + 'rate'];

        // 2010.11.8 add by K.Ozawa
        // 顔照合Onカメラのみ変更不可とする
        if (1 == i && true == form1.cam1face.checked) {
            continue;
        }

        for (var j = 0; j < change_obj.options.length; j++) {
            // 顔照合Onカメラのみ変更不可とする
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                break;
            }
        }
    }
    //一括変更コンボボックスのselect = "レート"に戻す。
    obj.options[0].selected = 'selected';
    allCalculate(F);
}


/**
 * 同列値の一括変更 画質
 */
function change_allQuality(obj, F) {
    // 変更後の値を取得
    var init = obj[obj.selectedIndex].text;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_obj = F['cam' + i + 'quality'];

        // 2010.11.8 add by K.Ozawa
        // 顔照合Onカメラのみ変更不可とする
        if (1 == i && true == form1.cam1face.checked) {
            continue;
        }

        for (var j = 0; j < change_obj.options.length; j++) {
            //顔照合Onの場合、固定値なので変更しない
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                break;
            }
        }
    }
    // 一括変更コンボボックスのselect = "画質"に戻す。
    obj.options[0].selected = 'selected';
    allCalculate(F);
}


/**
 * 同列値の一括変更 録音
 */
function change_allAudio(obj, F) {
    // 変更後の値を取得
    var init = obj[obj.selectedIndex].text;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_obj = F['cam' + i + 'audio'];
        for (var j = 0; j < change_obj.options.length; j++) {
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                break;
            }
        }
    }
    // 一括変更コンボボックスのselect = "録音"に戻す。
    obj.options[0].selected = 'selected';
    allCalculate(F);
}


/**
 * 同列値の一括変更 スケジュール
 */
function change_allRec(obj, F) {
    // 変更後の値を取得
    var init = obj[obj.selectedIndex].text;

    for (var i = 1; i <= MaxCamNum; i++) {
        var change_obj = F['cam' + i + 'rec'];

        for (var j = 0; j < change_obj.options.length; j++) {
            if (init == change_obj.options[j].text) {
                change_obj.options[j].selected = 'selected';
                break;
            }
        }
    }
    // 一括変更コンボボックスのselect = "スケジュール"に戻す。
    obj.options[0].selected = 'selected';
    allCalculate(F);
}


/**
 * 顔照合チェックボックスの状態を変更
 */
function change_faceMode(obj, F) {
    var mode = obj.checked;

    // 2010.11.8 add by K.Ozawa
    //らくらく or 詳細のラジオボタンの状態
    var easymode = getRadioValue(form1.rb_advanced);

    switch (Number(form1.cam1model[form1.cam1model.selectedIndex].value)) {
        case ipro2_HD_f:
        case ipro2b_HD_f:
        case ipro4_FHD_f:
        case ipro4a_FHD_f:
        case ipro4c_FHD_f:
        case ipro5_S2:
        case ipro5a_S2:
        case ipro5_S2_f:
        case ipro5a_S2_f:
            if (mode == true) {
                FaceMatching_data(form1.cam1comp, 0);

                // 2011.5.13 Add by K.Ozawa
                // H264->MPEG4に変更したうえで顔照合をOnにすると、
                // 解像度が変わらない問題への対応(リストにはMPEG4に対応した解像度が
                // そのままのこっていて、顔照合OnでそのリストにないSXVGAを指定しようと
                // するのでエラーで先頭の解像度が表示される）
                var change_camComp = F['cam' + 1 + 'comp'];
                change_CompressionSub(change_camComp);

                FaceMatching_data(form1.cam1size, 1);
                FaceMatching_data(form1.cam1rate, 2);
                FaceMatching_data(form1.cam1quality, 3);

                // 2010.11.8 add by K.Ozawa
                // 圧縮方式・解像度を変えてもよいのは詳細モードの時のみ
                if (p_advanced == easymode) {
                    form1.cam1comp.disabled = true;
                    form1.cam1size.disabled = true;
                }
                form1.cam1rate.disabled = true;
                form1.cam1quality.disabled = true;
            } else {
                // 2010.11.8 add by K.Ozawa
                // 圧縮方式・解像度を変えてもよいのは詳細モードの時のみ
                if (p_advanced == easymode) {
                    form1.cam1comp.disabled = false;
                    form1.cam1size.disabled = false;
                }
                form1.cam1rate.disabled = false;
                form1.cam1quality.disabled = false;
            }
            break;

        default:
            alert('change_faceMode(obj, F) カメラ区分が対象外');
            break;
    }

    // 計算する関数をコール
    allCalculate(F);
}


/**
 * 対象コンボボックスを顔照合用パラメータに変更
 *
 * func(ComboBoxオブジェクト,項目)
 */
function FaceMatching_data(obj, item) {
    var init = List_FaceMatching[item];

    for (var i = 0; i < obj.options.length; i++) {
        if (init == obj.options[i].text) {
            obj.options[i].selected = 'selected';
            break;
        }
    }
}



/**
 * 対象コンボボックスを初期値パラメータに変更
 *
 * func(ComboBoxオブジェクト,カメラ区分,項目)
 */
function Initialize_data(obj, mode, item) {
    // 初期値
    var init = List_Initial[mode][item];
    //らくらく or 詳細のラジオボタンの状態
    var easymode = getRadioValue(form1.rb_advanced);

    if (1 <= item && item <= 6) {
        // 2010.11.8 add by K.Ozawa
        // らくらくか、詳細かで、コンボボックスの状態を変える必要がある
        if (easymode == p_easystart) {
            switch (item) {
                case 1 :  // 圧縮方式
                case 2 :  // 解像度
                case 5 :  // 音声
                case 6 :  // 録画
                    // 変更不可
                    obj.disabled = true;
                    break;
                default:
                    // それ以外は変更可
                    obj.disabled = false;
                    break;
            }
        } else {
            obj.disabled = false;
        }

        for (var i = 0; i < obj.options.length; i++) {
            if (init == obj.options[i].text) {
                obj.options[i].selected = 'selected';
                break;
            }
            if (i == (obj.options.length - 1)) {
                obj.options[i].selected = 'selected';
            }
        }
    } else if (item == 7) {
        if (init == p_notSupported) {
            form1.cam1face.checked = false;
            form1.cam1face.disabled = true;
        } else {
            form1.cam1face.disabled = false;
        }

        if (easymode == p_easystart) {
            form1.cam1comp.disabled = true;
            form1.cam1size.disabled = true;
            form1.cam1audio.disabled = true;

            // 2010.11.8 add by K.Ozawa
            // 以前選択していたカメラが顔照合対応の場合、レートと画質欄は
                // Disableになっているので、明示的に元に戻してやる必要がある
            if (true == form1.cam1face.checked) {
                form1.cam1rate.disabled = true;
                form1.cam1quality.disabled = true;
            } else {
                form1.cam1rate.disabled = false;
                form1.cam1quality.disabled = false;
            }
        } else {
            if (true == form1.cam1face.checked) {
                form1.cam1comp.disabled = true;
                form1.cam1size.disabled = true;
                form1.cam1rate.disabled = true;
                form1.cam1quality.disabled = true;
                form1.cam1audio.disabled = false;
            } else {
                form1.cam1comp.disabled = false;
                form1.cam1size.disabled = false;
                form1.cam1rate.disabled = false;
                form1.cam1quality.disabled = false;
                form1.cam1audio.disabled = false;
            }
        }

        // 2010.11.8 add by K.Ozawa
        // カメラ1を初期状態に戻してしまっているので、
        // 顔認証On時のデフォルト状態にもう一度してやる
        if (true == form1.cam1face.checked) {
            FaceMatching_data(form1.cam1comp, 0);
            FaceMatching_data(form1.cam1size, 1);
            FaceMatching_data(form1.cam1rate, 2);
            FaceMatching_data(form1.cam1quality, 3);
        }
    }
}


/**
 * らくらく or 詳細ラジオボタン切替をトリガとして、
 * ボタン状態を確認し、各コンボボックスの状態を変更
 *
 */
function change_inputMode(F) {
    var mode = getRadioValue(form1.rb_advanced);

    for (var camno = 0; camno <= MaxCamNum; camno++) {
        var cammodel = 'cam' + camno + 'model';
        var camcomp = 'cam' + camno + 'comp';
        var camsize = 'cam' + camno + 'size';
        var camrate = 'cam' + camno + 'rate';
        var camquality = 'cam' + camno + 'quality';
        var camaudio = 'cam' + camno + 'audio';
        var camrec = 'cam' + camno + 'rec';

        // 文字列→オブジェクトへ変換
        var modelSelected = document.getElementById(cammodel);
        var change_camComp = document.getElementById(camcomp);
        var change_camSize = document.getElementById(camsize);
        var change_camRate = document.getElementById(camrate);
        var change_camQuality = document.getElementById(camquality);
        var change_camAudio = document.getElementById(camaudio);
        var change_camRec = document.getElementById(camrec);

        // カメラ品番
        var camModel = modelSelected[modelSelected.selectedIndex].text;
        // カメラ区分
        var camMode = modelSelected[modelSelected.selectedIndex].value;

        // 2010.11.8 add by K.Ozawa
        // らくらくの時だけやってた処理を、らくらく・詳細両方でやるようにする
        if (camno != 0) {
            // 圧縮方式の初期値を変更
            Initialize_data(change_camComp, camMode, 1);

            // カメラ区分にあった圧縮方式
            var compSelected =
                    change_camComp[change_camComp.selectedIndex].text;
            // 圧縮方式の変更に伴って解像度も変更
            createCaptureSizeSelection(change_camSize, camMode, compSelected);
            Initialize_data(change_camSize, camMode, 2);

            // 圧縮方式の変更に伴ってレートも変更
            createRateSelection(change_camRate, camMode, compSelected);
            Initialize_data(change_camRate, camMode, 3);
            Initialize_data(change_camQuality, camMode, 4);
            Initialize_data(change_camAudio, camMode, 5);
            Initialize_data(change_camRec, camMode, 6);

            // 2012.01.10 Chg by K.Ozawa
            // XFモードが追加になっているので、圧縮方式が変更されたら
            // 画質も作成し直す必要がある(既存バグ対応)
            createQualitySelection(change_camQuality, camMode, compSelected);
            Initialize_data(change_camQuality, camMode, 4);
            //-----

            // 顔照合カメラについては、顔照合の状態によってコンボボックスの状態を
            // 変更する必要がある
            if (1 == camno) {
                Initialize_data(form1.cam1face, camMode, 7);
            }
        } else if (mode == p_easystart) {
            // 2010.11.8 delete by K.Ozawa
            // 実カメラはInitialize_data()の中で制御しているので、ここで変える必要はない
            if (0 == camno) {
                // コンボボックスをdisabled
                change_camComp.disabled = true;
                change_camSize.disabled = true;
                change_camAudio.disabled = true;
                change_camRec.disabled = true;
            }
        } else if (mode == p_advanced) {
            // 2010.11.8 delete by K.Ozawa
            // 実カメラはInitialize_data()の中で制御しているので、ここで変える必要はない
            if (0 == camno) {
                // コンボボックスをenabled
                change_camComp.disabled = false;
                change_camSize.disabled = false;
                change_camAudio.disabled = false;
                change_camRec.disabled = false;
            }
        } else {
            alert('error change_inputMode() rb_advanced');
        }
    }

    if (mode == p_easystart) {
        //タイムテーブル1-1を0:00～24:00、その他を0:00～0:00
        for (var i = 1; i <= 2; i++) {
            for (var j = 1; j <= 3; j++) {
                F['tbl' + i + 'begin_h' + j].selectedIndex = 0;
                F['tbl' + i + 'begin_m' + j].selectedIndex = 0;
                if (i == 1 && j == 1) {
                    F['tbl' + i + 'end_h' + j].selectedIndex = 24;
                } else {
                    F['tbl' + i + 'end_h' + j].selectedIndex = 0;
                }
                F['tbl' + i + 'end_m' + j].selectedIndex = 0;
                // Add end

                F['tbl' + i + 'begin_h' + j].disabled = true;
                F['tbl' + i + 'begin_m' + j].disabled = true;
                F['tbl' + i + 'end_h' + j].disabled = true;
                F['tbl' + i + 'end_m' + j].disabled = true;
            }
        }

        for (var i = 0; i <= 2; i++) {
            F['rb_mon_tt' + i].disabled = true;
            F['rb_tue_tt' + i].disabled = true;
            F['rb_wed_tt' + i].disabled = true;
            F['rb_thu_tt' + i].disabled = true;
            F['rb_fri_tt' + i].disabled = true;
            F['rb_sat_tt' + i].disabled = true;
            F['rb_sun_tt' + i].disabled = true;

            //2010.11.10 add by Kodama 指摘66
            form1.rb_mon[0].checked = true;
            form1.rb_tue[0].checked = true;
            form1.rb_wed[0].checked = true;
            form1.rb_thu[0].checked = true;
            form1.rb_fri[0].checked = true;
            form1.rb_sat[0].checked = true;
            form1.rb_sun[0].checked = true;
            // Add end
        }
    } else if (mode == p_advanced) {
        for (var i = 1; i <= 2; i++) {
            for (var j = 1; j <= 3; j++) {
                F['tbl' + i + 'begin_h' + j].disabled = false;
                F['tbl' + i + 'begin_m' + j].disabled = false;
                F['tbl' + i + 'end_h' + j].disabled = false;
                F['tbl' + i + 'end_m' + j].disabled = false;
            }
        }

        for (var i = 0; i <= 2; i++) {
            F['rb_mon_tt' + i].disabled = false;
            F['rb_tue_tt' + i].disabled = false;
            F['rb_wed_tt' + i].disabled = false;
            F['rb_thu_tt' + i].disabled = false;
            F['rb_fri_tt' + i].disabled = false;
            F['rb_sat_tt' + i].disabled = false;
            F['rb_sun_tt' + i].disabled = false;
        }
    } else {
        alert('error change_inputMode() rb_advanced');
    }

    // 計算する関数をコール
    allCalculate(F);
}


/**
 * パラメータ初期化
 *
 */
function Initialize(F) {
    //2010.11.10 add by Kodama 指摘66
    form1.rb_advanced[0].checked = true;
    // Add end

    // 録画モード
    form1.sel_Recmode.length = sel_recmode_str.length;
    for (var i = 0; i < sel_recmode_str.length; i++) {
        form1.sel_Recmode.options[i].value = sel_recmode[i];
        form1.sel_Recmode.options[i].text = sel_recmode_str[i];
    }
    form1.sel_Recmode.selectedIndex = 0;

    for (var i = 0; i <= MaxCamNum; i++) {
        createCamModelSelection(F['cam' + i + 'model']);
    }

    for (var i = 0; i <= MaxCamNum; i++) {
        if (i == 0) {
            createCompressionSelection(F['cam' + i + 'comp'], Model);
            createCaptureSizeSelection(F['cam' + i + 'size'], Model, p_H264);
            createRateSelection(F['cam' + i + 'rate'], Model, p_H264);
            createQualitySelection(F['cam' + i + 'quality'], Model, p_H264);
            createAudioSelection(F['cam' + i + 'audio'], Model);
            createRecSelection(F['cam' + i + 'rec'], Model);
        } else {
            createCompressionSelection(F['cam' + i + 'comp'], Blank);
            createCaptureSizeSelection(F['cam' + i + 'size'], Blank, p_H264);
            createRateSelection(F['cam' + i + 'rate'], Blank, p_H264);
            createQualitySelection(F['cam' + i + 'quality'], Blank, p_H264);
            createAudioSelection(F['cam' + i + 'audio'], Blank);
            createRecSelection(F['cam' + i + 'rec'], Blank);
            if (i == 1) {
                //顔照合の活性状態を変更
                Initialize_data(form1.cam1face, Blank, 7);
            }

            //2010.11.10 add by Kodama 指摘66
            F['cam' + i + 'onoff'].checked = false;
            // Add end
        }
    }

    for (var i = 1; i <= 2; i++) {
        for (var j = 1; j <= 3; j++) {
            // 0～23時
            createNumSelection(F['tbl' + i + 'begin_h' + j], 23);
            // 00,15,30,45
            createMinSelection(F['tbl' + i + 'begin_m' + j], 0);
            // 0～24時
            createNumSelection(F['tbl' + i + 'end_h' + j], 24);
            // 00,15,30,45
            createMinSelection(F['tbl' + i + 'end_m' + j], 0);
        }
    }

    //らくらく or 詳細のラジオボタンの状態を確認する。
    // ←この関数の中で計算
    change_inputMode(F);
}

/**
 * 録画容量の算出
 *
 */
function Calculate(F, capHDD, capHDDNum) {
    var camModel = new Array();        //カメラ品番
    var camMode = new Array();         //カメラ区分
    var camComp = new Array();         //圧縮方式
    var t_camSize = new Array();       //解像度 text
    var v_camSize = new Array();       //解像度 value
    var t_camRate = new Array();       //レート text
    var v_camRate = new Array();       //レート value
    var t_camQuality = new Array();    //画質   text
    var v_camQuality = new Array();    //画質   value
    var t_camAudio = new Array();      //録音   text
    var v_camAudio = new Array();      //録音   value
    var t_camRec = new Array();        //録画   text
    var v_camRec = new Array();        //録画   value
    var bitrate = new Array();         //ビットレート

    var capacity = 0;                  //カメラ16台分のデータ量
    var capacity_always = 0;           // 常時録画カメラ
    var videocapacity = 0;             // 映像のみのデータ量

    for (var i = 1; i <= MaxCamNum; i++) {
        var f_camModel = F['cam' + i + 'model'];
        var f_camComp = F['cam' + i + 'comp'];
        var f_camSize = F['cam' + i + 'size'];
        var f_camRate = F['cam' + i + 'rate'];
        var f_camQuality = F['cam' + i + 'quality'];
        var f_camAudio = F['cam' + i + 'audio'];
        var f_camRec = F['cam' + i + 'rec'];
        var bJpegCam = false;          // JPEGカメラかどうか?

        camModel[i] = f_camModel[f_camModel.selectedIndex].text;
        camMode[i] = f_camModel[f_camModel.selectedIndex].value;
        camComp[i] = f_camComp[f_camComp.selectedIndex].text;
        t_camSize[i] = f_camSize[f_camSize.selectedIndex].text;
        t_camRate[i] = f_camRate[f_camRate.selectedIndex].text;
        t_camQuality[i] = f_camQuality[f_camQuality.selectedIndex].text;
        t_camAudio[i] = f_camAudio[f_camAudio.selectedIndex].text;
        t_camRec[i] = f_camRec[f_camRec.selectedIndex].text;

        v_camSize[i] = f_camSize[f_camSize.selectedIndex].value;
        v_camRate[i] = f_camRate[f_camRate.selectedIndex].value;
        v_camQuality[i] = f_camQuality[f_camQuality.selectedIndex].value;
        v_camAudio[i] = f_camAudio[f_camAudio.selectedIndex].value;
        v_camRec[i] = f_camRec[f_camRec.selectedIndex].value;

        // 関数内で使用するビットレート一覧(初期化)
        var List_bitrateTable = new Array();
        // 顔照合用のビットレート値(初期化)
        var bitrate_FaceMatching = 0;

        // 文字列→数値へ変換
        var n_camMode = Number(camMode[i]);
        var n_camSize = Number(v_camSize[i]);
        var n_camRate = Number(v_camRate[i]);
        var n_camQuality = Number(v_camQuality[i]);
        var n_camAudio = Number(v_camAudio[i]);
        var n_camRec = Number(v_camRec[i]);

        // NP502 or NW502がビットレット表Table1を参照するバージョンなら
        if (Flag_np502table == 1) {
            // 品番がNP502 or NW502ならカメラ区分をipro1_aに変更して、
            // ビットレット表Table1を参照する
            if (camModel[i] == p_NP502 || camModel[i] == p_NW502) {
                n_camMode = ipro1_a;
            }
        }

        // 2011.5.9 Add by K.Ozawa
        // BBカメラのVMDデータ加算バグ対応
        var vmdsize = VMDINFO;
        switch (n_camMode) {
            /* Table 1 */
            case ipro1:
            case ipro1_a:
            case ipro2_Enc1:
            case ipro2_Enc2:
            case ipro2_Enc3:
            case ipro2_Enc4:
            case ipro2_Enc5:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table1H264;
                    bitrate_FaceMatching = bitrateTable1_FaceMatching;
                } else if (camComp[i] == p_MPEG4) {
                    List_bitrateTable = List_Table1MPEG4;
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table1MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            /* Table 2 */
            case ipro2_Std:
            case ipro2a_Std:
            case ipro2b_Std:
            case ipro2c_Std:
            case ipro2d_Std:
            case ipro2e_Std:
            case ipro2_HD_f:
            case ipro2a_HD:
            case ipro2b_HD_f:
            case ipro2c_HD:
            case ipro2d_HD:
            case ipro2e_HD:
            case ipro2f_HD:
            case ipro2g_HD:
            case ipro2h_HD:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table2H264;
                    bitrate_FaceMatching = bitrateTable2_FaceMatching;
                } else if (camComp[i] == p_MPEG4) {
                    List_bitrateTable = List_Table2MPEG4;
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table2MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            /* Table 4 */
            case ipro4_FHD:
            case ipro4a_FHD:
            case ipro4a_FHD_f:
            case ipro4_FHD_f:
            case ipro4c_FHD_f:
            case ipro4d_FHD:
            case ipro4e_FHD:
            case ipro4f_FHD:
            case ipro4g_FHD:
            case ipro4h_FHD:
            case ipro4i_FHD:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table4H264;
                    bitrate_FaceMatching = bitrateTable4_FaceMatching;
                } else if (camComp[i] == p_MPEG4) {
                    List_bitrateTable = List_Table4MPEG4;
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table4MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                break;

            /* Table 5 */
            case ipro5_S2:
            case ipro5a_S2:
            case ipro5b_S2:
            case ipro5c_S2:
            case ipro5_S2_f:
            case ipro5a_S2_f:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table5H264;
                    bitrate_FaceMatching = bitrateTable5_FaceMatching;
                } else if (camComp[i] == p_MPEG4) {
                    /* MPEG-4はない */
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table5MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }

                break;

            /* Table 3 */
            case BB1_BB2:
            case BB3_Std:
            case BB3_HD:
                if (camComp[i] == p_H264) {
                    List_bitrateTable = List_Table3H264;
                } else if (camComp[i] == p_MPEG4) {
                    List_bitrateTable = List_Table3MPEG4;
                } else if (camComp[i] == p_MJPEG) {
                    List_bitrateTable = List_Table3MJPEG;
                    bJpegCam = true;
                } else {
                    alert('not H264/MPEG4/MJPEG');
                }
                // 2011.5.9 Add by K.Ozawa
                // BBカメラのVMDデータ加算バグ対応
                vmdsize = 0;
                break;
        }

        // カメラ区分/圧縮方式/解像度/フレームレート/画質を見て、
        // 適切なビットレート値をテーブルからもってくる。
        camBpr[i] = 0;
        if (camComp[i] != p_blank && 0 != v_camRec[i]) {

            // カメラ顔照合On の場合、顔照合用のビットレート値を使用する
            if (i == 1 && form1.cam1face.checked == true) {
                bitrate[i] = bitrate_FaceMatching;
            } else {
                bitrate[i] =
                        List_bitrateTable[n_camSize][n_camQuality][n_camRate];
            }

            // n_camAudio : On=1,Off=0
            var recAudio = AUDIO * n_camAudio;

            // カメラ 1台分のデータ量(kByte/sec)  (画像＋音声+VMD)
            var cap = bitrate[i] / 8 + recAudio + vmdsize;

            // カメラ24台分のデータ量（VMD/音声含む)
            // 常時録画か
            if (1 == v_camRec[i]) {
                capacity += cap;
            } else {
                capacity_always += cap;
            }

            // カメラ24台分のデータ量 (VMD/音声含まず, JPEG係数補正)
            camBpr[i] = (bitrate[i] * (bJpegCam == true ? defGetaJpeg : 1));
            videocapacity += (bitrate[i] * (bJpegCam == true ? defGetaJpeg : 1));
        }
    }

    // NV200の吸い込み上限を超えた場合は-1000を返す
    if (videocapacity > LimitInputBand) {
        return -1000;
    }

    // タイムテーブル1,2の合計時間
    var sumTimetable = new Array(0, 0);
    var timetable = new Array(0, 0, 0);
    var s_time = 0;
    var e_time = 0;
    var st_h = 0;
    var et_m = 0;
    var st_h = 0;
    var et_m = 0;

    for (var i = 1; i <= 2; i++) {
        for (var j = 1; j <= 3; j++) {
            st_h = F['tbl' + i + 'begin_h' + j].value;
            st_m = F['tbl' + i + 'begin_m' + j].value;
            et_h = F['tbl' + i + 'end_h' + j].value;
            et_m = F['tbl' + i + 'end_m' + j].value;

            s_time = Number(st_h) + Number(st_m);
            e_time = Number(et_h) + Number(et_m);

            // 開始時刻＜終了時刻
            if (s_time < e_time) {
                timetable[j - 1] = e_time - s_time;
                sumTimetable[i - 1] += timetable[j - 1];
            }
        }
    }

    // 録画する曜日 月～日 タイムテーブル1,2,Offどれに
    // チェックしているか？
    var rb_week = new Array(7);

    var tt_week = new Array(7);

    var idx = new Array(7);
    idx[0] = getRadioValue(form1.rb_mon);
    idx[1] = getRadioValue(form1.rb_tue);
    idx[2] = getRadioValue(form1.rb_wed);
    idx[3] = getRadioValue(form1.rb_thu);
    idx[4] = getRadioValue(form1.rb_fri);
    idx[5] = getRadioValue(form1.rb_sat);
    idx[6] = getRadioValue(form1.rb_sun);
    rb_week[0] = form1.rb_mon[idx[0]].value;
    rb_week[1] = form1.rb_tue[idx[1]].value;
    rb_week[2] = form1.rb_wed[idx[2]].value;
    rb_week[3] = form1.rb_thu[idx[3]].value;
    rb_week[4] = form1.rb_fri[idx[4]].value;
    rb_week[5] = form1.rb_sat[idx[5]].value;
    rb_week[6] = form1.rb_sun[idx[6]].value;

    // 録画する曜日 月～日 の合計時間
    var sumtt_week = 0;
    for (var i = 0; i <= 6; i++) {
        switch (rb_week[i]) {
        case '0':
            tt_week[i] = 0;
            break;

        case '1':
            tt_week[i] = sumTimetable[0];
            break;

        case '2':
            tt_week[i] = sumTimetable[1];
            break;

        default:
            tt_week[i] = 0;
            break;
        }
        sumtt_week += tt_week[i];
    }

    var recmode = Number(form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].value);

    // 合計で何日間録画できるか ← 結果
    var duration_days = 0;

    // HDD実容量
    var validcapHDD = 0;

    //カメラ24台分のデータ量!=0 かつ 録画合計時間!=0
    if (0 != capacity_always || (0 != capacity && 0 != sumtt_week)) {

        // 録画に使用できるHDD容量
        if (1 == capHDDNum) {
            validcapHDD = (capHDD - TIMELINE) * 1000 * 1000 * HddEfi;
        } else {
            validcapHDD = (capHDD - TIMELINE - TIMELINE) * 1000 * 1000 * HddEfi;
        }
        if (recmode == p_dualmode) {
            validcapHDD /= 2;
        }

        // 1日単位で、HDD容量を減らしていく
        var floor = 0;
        while (1) {
            // 各曜日で計算
            for (var idx = 0; idx <= 6; idx++) {
                // 今日の録画容量
                var todaycapa = 0;

                // 常時録画は設定に関係なく24時間録画
                todaycapa += capacity_always * 24 * 3600;
                // スケジュール録画は設定による
                todaycapa += capacity * tt_week[idx] * 3600;
                if (validcapHDD - todaycapa < 0) {
                    floor = validcapHDD /
                        ((capacity + capacity_always) * 24 * 3600);
                    break;
                }
                // HDD容量を減らす
                validcapHDD -= todaycapa;
                // 録画日数加算
                duration_days++;
            }
            if (duration_days > 2000) break;  // 2028_58108 H.Sasaki
            if (0 < floor) {
                duration_days = (duration_days + floor) * 10;
                duration_days = Math.floor(duration_days);
                duration_days = duration_days / 10;
                break;
            }
        }
    }

    // 録画日数>=1000なら999.9に丸め込む
    if (duration_days >= 1000) {
        duration_days = 999.9;
    }

    // NV200/NV250/NV300の吸い込み推奨値を超えた場合はマイナスの値を返す
    if ((RecommendInputBand < videocapacity) && (videocapacity <= LimitInputBand))
    {
        return duration_days * -1;
    }

    // 録画日数を返却
    return duration_days;
}

/**
 * 録画日数計算（画面表示）
 *
 */
function allCalculate(F) {

    var result = new Array();
    var max = HddCapacity.length;
    var recmode = Number(form1.sel_Recmode.options[form1.sel_Recmode.selectedIndex].value);

    // 本体録画日数計算
    for (var i = 0; i < max; i++) {
        result[i] = Calculate(F, HddCapacity[i], HddCapaNum[i]);

        // NV200/NV250/NV300の吸い込み性能を超えた場合はメッセージを表示する
        // また、すべての録画日数を0にする
        if (-1000 == result[i]) {
            txt_s_message.innerHTML = alert_limitover;
            txt_s_message.style.color = '#FF0000';
            for (var j = 0; j < max; j++) {
                result[j] = 0;
            }
            break;
        } else if (0 > result[i]) {
            txt_s_message.innerHTML = alert_recommendover;
            txt_s_message.style.color = '#FF0000';
            result[i] = result[i] * -1;
        } else {
            txt_s_message.innerHTML = '';
            txt_s_message.style.color = '#FFFFFF';
        }
    }

    if (app_dst == 'ja') {

        // DG-NV200/1L (500GB * 1)
        if (result[0] <= 0) {
            form1.u_result_5Gx1.value = '-';
            form1.u_result_5Gx1.style.background = '#C8C8C8';
        } else {
            if (recmode == p_dualmode) {
                form1.u_result_5Gx1.value = '-';
                form1.u_result_5Gx1.style.background = '#C8C8C8';
            } else {
                form1.u_result_5Gx1.value = result[0];
                form1.u_result_5Gx1.style.background = '#FFFF80';
            }
        }
        if (form1.cam1face.checked == true) {
            form1.u_result_5Gx1.value = '-';
            form1.u_result_5Gx1.style.background = '#C8C8C8';
        }

        // DG-NV200V1M (1TB * 1)
        if (result[1] <= 0) {
            form1.u_result_1Tx1.value = '-';
            form1.u_result_1Tx1.style.background = '#C8C8C8';
        } else {
            if (recmode == p_dualmode) {
                form1.u_result_1Tx1.value = '-';
                form1.u_result_1Tx1.style.background = '#C8C8C8';
            } else {
                form1.u_result_1Tx1.value = result[1];
                form1.u_result_1Tx1.style.background = '#FFFF80';
            }
        }

        // DG-NV200/2M (1TB * 2)
        if (result[2] <= 0) {
            form1.u_result_1Tx2.value = '-';
            form1.u_result_1Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_1Tx2.value = result[2];
            form1.u_result_1Tx2.style.background = '#FFFF80';
        }

        // DG-NV200V1N (2TB * 1)
        if (result[3] <= 0) {
            form1.u_result_2Tx1.value = '-';
            form1.u_result_2Tx1.style.background = '#C8C8C8';
        } else {
            if (recmode == p_dualmode) {
                form1.u_result_2Tx1.value = '-';
                form1.u_result_2Tx1.style.background = '#C8C8C8';
            } else {
                form1.u_result_2Tx1.value = result[3];
                form1.u_result_2Tx1.style.background = '#FFFF80';
            }
        }

        // DG-NV200/2N (2TB * 2)
        if (result[4] <= 0) {
            form1.u_result_2Tx2.value = '-';
            form1.u_result_2Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_2Tx2.value = result[4];
            form1.u_result_2Tx2.style.background = '#FFFF80';
        }

        // DG-NV200/2Q (3TB * 2)
        if (result[5] <= 0) {
            form1.u_result_3Tx2.value = '-';
            form1.u_result_3Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_3Tx2.value = result[5];
            form1.u_result_3Tx2.style.background = '#FFFF80';
        }
    } else {
        // 1TB (1TB * 1)
        if (result[0] <= 0) {
            form1.u_result_1Tx1.value = '-';
            form1.u_result_1Tx1.style.background = '#C8C8C8';
        } else {
            if (recmode == p_dualmode) {
                form1.u_result_1Tx1.value = '-';
                form1.u_result_1Tx1.style.background = '#C8C8C8';
            } else {
                form1.u_result_1Tx1.value = result[0];
                form1.u_result_1Tx1.style.background = '#FFFF80';
            }
        }
        // 2TB (1TB * 2)
        if (result[1] <= 0) {
            form1.u_result_1Tx2.value = '-';
            form1.u_result_1Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_1Tx2.value = result[1];
            form1.u_result_1Tx2.style.background = '#FFFF80';
        }
        // 3TB (3TB * 1)
        if (result[2] <= 0) {
            form1.u_result_3Tx1.value = '-';
            form1.u_result_3Tx1.style.background = '#C8C8C8';
        } else {
            if (recmode == p_dualmode) {
                form1.u_result_3Tx1.value = '-';
                form1.u_result_3Tx1.style.background = '#C8C8C8';
            } else {
                form1.u_result_3Tx1.value = result[2];
                form1.u_result_3Tx1.style.background = '#FFFF80';
            }
        }
        // 4TB (2TB * 2)
        if (result[3] <= 0) {
            form1.u_result_2Tx2.value = '-';
            form1.u_result_2Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_2Tx2.value = result[3];
            form1.u_result_2Tx2.style.background = '#FFFF80';
        }

        // 5TB (5TB * 1)
        if (result[4] <= 0) {
            form1.u_result_5Tx1.value = '-';
            form1.u_result_5Tx1.style.background = '#C8C8C8';
        } else {
            if (recmode == p_dualmode) {
                form1.u_result_5Tx1.value = '-';
                form1.u_result_5Tx1.style.background = '#C8C8C8';
            } else {
                form1.u_result_5Tx1.value = result[4];
                form1.u_result_5Tx1.style.background = '#FFFF80';
            }
        }

        // 6TB (3TB * 2)
        if (result[5] <= 0) {
            form1.u_result_3Tx2.value = '-';
            form1.u_result_3Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_3Tx2.value = result[5];
            form1.u_result_3Tx2.style.background = '#FFFF80';
        }

        // 8TB (4TB * 2)
        if (result[6] <= 0) {
            form1.u_result_4Tx2.value = '-';
            form1.u_result_4Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_4Tx2.value = result[6];
            form1.u_result_4Tx2.style.background = '#FFFF80';
        }

        // 10TB (5TB * 2)
        if (result[7] <= 0) {
            form1.u_result_5Tx2.value = '-';
            form1.u_result_5Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_5Tx2.value = result[7];
            form1.u_result_5Tx2.style.background = '#FFFF80';
        }

        // 12TB (6TB * 2)
        if (result[8] <= 0) {
            form1.u_result_6Tx2.value = '-';
            form1.u_result_6Tx2.style.background = '#C8C8C8';
        } else {
            form1.u_result_6Tx2.value = result[8];
            form1.u_result_6Tx2.style.background = '#FFFF80';
        }
    }
}


/**
 * カメラ使用する/使用しないのチェックボックスON/OFF
 *
 */
function change_camonoff(obj, F) {
    var camno = obj.name;

    $('#cam' + camno + 'model').val(1);

    var camobj = 'cam' + camno + 'model';
    var change_camobj = document.getElementById(camobj);
    change_CamModel(change_camobj, F);
}
